﻿@using AdminCaja.Areas.Admin.Models.Procedures
@model ProcedureFileViewModel

@using (Html.BeginForm("AddorUpdateFile", "Procedures", FormMethod.Post, new { @class = "form-horizontal form-material" }))
{

    <div class="modal-content">
        <div class="modal-header">
            @if (Model.Type == AdminCaja.Models.ProcedureFileType.document)
            {
                <h5 class="modal-title" id="exampleModalLabel">Agregar Documento</h5>
            }
            else
            {
                <h5 class="modal-title" id="exampleModalLabel">Agregar Formulario</h5>
            }

            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            @Html.HiddenFor(m => m.Id)
            @Html.HiddenFor(m => m.ProcedureId)
            @Html.HiddenFor(m => m.Type)

            <div class="form-group">
                @Html.LabelFor(m => m.Order, new { htmlAttributes = new { @class = "col-form-label" } })
                @Html.EditorFor(m => m.Order, new { htmlAttributes = new { @class = "form-control", @type = "number" } })
                @Html.ValidationMessageFor(m => m.Order)

            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.Name, new { htmlAttributes = new { @class = "col-form-label" } })
                @Html.EditorFor(m => m.Name, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(m => m.Name)
            </div>
            <div class="form-group">
                <label for="exampleFormControlFile1">Seleccionar Archivo</label>
                <input type="file" class="form-control-file" name="file" id="file">
                @Html.ValidationMessageFor(m => m.file)

            </div>
        </div>
        <div class="modal-footer">
            <button type="submit" class="btn btn-primary">Agregar</button>
        </div>
    </div>
}

